/*
 * engines.h
 *
 *  Created on: Aug 10, 2016
 *      Author: tkl
 */

#ifndef SOURCE_APPLICATION_INCLUDE_ENGINES_H_
#define SOURCE_APPLICATION_INCLUDE_ENGINES_H_

struct engine_ctrl {
	const struct driver *pwm;
	const struct driver *enable;
};

static struct engine_ctrl left_forward = {
		.pwm = &pwm_4,
		.enable = &gpio_c2,
};

static struct engine_ctrl right_backward = {
		.pwm = &pwm_3,
		.enable = &gpio_c3,
};

static struct engine_ctrl right_forward = {
		.pwm = &pwm_2,
		.enable = &gpio_c0,
};

static struct engine_ctrl left_backward = {
		.pwm = &pwm_1,
		.enable = &gpio_c1,
};

#endif /* SOURCE_APPLICATION_INCLUDE_ENGINES_H_ */
